clear all
indeksas=(5+7)/8
a=5000
b=-30
c=indeksas
i=0
%% 1 uzd Trumpo laikotarpio kastu funkciju grafiku sudarymas
for qk=1:1:20;
 i=i+1;
 q(i)=qk;
 AVC(i)=a+b*q(i)+c*q(i)^2;
 MC(i)=a+2*b*q(i)+3*c*q(i)^2;
 TVC(i)=AVC(i)*q(i);
end
figure(1) 
subplot(3,1,1),plot(q,TVC,'-r*'), grid, hold on
title('Bendrieji kastai'),ylabel('TVC')
subplot(3,1,2),plot(q,AVC,'--b.'), grid, hold on
title('Vidutiniai kastai'),ylabel('AVC')
subplot(3,1,3),plot(q,MC,'-m.'), grid
title('Ribiniai kastai'),xlabel('Gamybos apimtis'),ylabel('MC')

figure(2)% 2 uzd
plot(q,AVC,'o-r'),hold on
title('AVC kastai-raudona; MC kastai- melyna'),ylabel('AVC, MC')
plot(q,MC,'*-b'),grid
xlabel('Gamybos apimtis')


% Trumpo laikotarpio kastu funkciju jautrumo tyrimas
% 3 uzd
[q1,c1]=meshgrid(1:1:20,indeksas:0.1:5*indeksas);
figure(3)
mesh(q1,c1,a+b.*q1+c1.*q1.^2);
title('AVC kastai'),xlabel('Gamybos apimtis'),ylabel('Parametras c');
figure(4)
mesh(q1,c1,(a+b.*q1+c1.*q1.^2).*q1);
title('TVC kastai'),xlabel('Gamybos apimtis'),ylabel('Parametras c');
figure(5)
mesh(q1,c1,a+2.*b.*q1+3.*c1.*q1.^2);
title('MC kastai'),xlabel('Gamybos apimtis'),ylabel('Parametras c');

% 4 uzd Ilgo laikotarpio kastu funkciju jautrumo tyrimas

alfa=1.2;beta=0.6;gama=0.75;
qi=indeksas*5;
[W,R]=meshgrid(1:0.2:4,3:0.2:6);
figure(6)
mesh(W,R,alfa.*qi.^beta.*(W./R).^gama.*R)
title('Ilgo laikotarpio kastai, TVC') 
xlabel('darbo kaina'),ylabel('Kapitalo kaina')
